
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入剖析Asp.net资源文件 / iVAN</title>

    <meta name="description" content="深入剖析Asp.net资源文件 asp.net 一.资源文件的定义 简单点的说法就是程序中可以使用的数据,象:字符串,图片或二进制数据等等,实际上可以包含任何类型的文件. 资源文件可以有多个语言版本,这样在开发全球化应用程序时就很重要.这个特性是通过System.Resources空间下的ResourceManager类来完成需要在什么时候调用那个版本的.在VS.NET中将一个文件的属性设置为Embedded Resource就可以使资源被嵌入到Assembly中了. 二.资源文件包含那些类型? System.Resource">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">深入剖析Asp.net资源文件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net</p>
<p>　　<strong>一、资源文件的定义</strong></p>
<p>　　简单点的说法就是程序中可以使用的数据，象：字符串，图片或二进制数据等等，实际上可以包含任何类型的文件。</p>
<p>　　资源文件可以有多个语言版本，这样在开发全球化应用程序时就很重要。这个特性是通过System.Resources空间下的ResourceManager类来完成需要在什么时候调用那个版本的。在VS.NET中将一个文件的属性设置为Embedded Resource就可以使资源被嵌入到Assembly中了。</p>
<p>　　<strong>二、资源文件包含那些类型？</strong></p>
<p>　　System.Resources 空间支持三种资源文件：。txt 文件，只能有字符串资源。因为不能被嵌入到 Assembly 中，所以很容易暴露，被客户修改。最大缺点是仅支持字符串资源，所以不推荐使用。resx 文件，由 XML 组成，可以加入任何资源，包括二进制。同样不能被嵌入到Assembly 中。在 System.Resources 名字空间中有专用读写的类。VS.NET 创建这种文件然后将其转成 .resources 文件并根据设置将其嵌入到 Assembly 中。。resources 文件，PE格式，可以加入任何资源。唯一可以被嵌入到 Assembly 的文件，在 System.Resources 名字空间中有专用读写的类。</p>
<p>　　<strong>三、怎么调用资源文件？</strong></p>
<p>　　通常的做法是要将。txt 文件。resx 文件等转化成。resources 文件在通过ResourceManager来进行调用，但是我们也可以不采用那种方式，我觉得比较麻烦，象下面这样做我觉得好些：我们可以不通过一个资源文件而直接将一资源嵌入到 Assembly 中。这可以在 VS.NET 中通过设置一文件的 Build 属性为 Embedded Resource 实现。在这种情况下 ResourceManager 就没有用了，因为它只能获取 .resources 资源文件。那么怎么调用这类的资源呢？我们需要利用一些 Reflection 中的特征。我们只要了解一些 System.Reflection.Assembly 这个类中的一些函数就可以了。有三个相关函数，不过我们只需要 Assembly.GetManifestResourceStream 这个函数。这个函数将一嵌入到Assembly 中的资源以 stream 的方式返回，而我们可以将这个 stream 转成在 .NET 中可用的对象。比如，如果嵌入资源是一图片，那么我们可以利用 New Bitmap（Stream） 这个 Bitmap 的 constructor 获得这个图片资源的 Bitmap 对象；如果我们嵌入的是一文本文件，我们可以使用StreamReader将它的内容读出来。</p>
<p>　　下面给一个简单的以文本文件为资源的DEMO</p>
<p>　　step1: 资源文件<br />　　将文件嵌入Assembly，上面已说了怎么做<br />　　step2: 调用资源文件<br />public Stream GetEmbeddedResource()<br />{<br />return System.Reflection.Assembly.GetExecutingAssembly().GetManifestResourceStream("ResoureceDemo.test.txt") ;//关键的一句<br />}//ResoureceDemo.test.txt解释一哈<br />//ResoureceDemo表示命名空间，test.txt文本文件名称<br />private void button1_Click(object sender, System.EventArgs e)<br />{<br />  Stream sResponse;<br /> StreamReader srResponse;<br /> sResponse=GetEmbeddedResource();<br /> srResponse=new  StreamReader(sResponse);<br /> string txtDemo=srResponse.ReadToEnd().ToString();<br /> label1.Text =txtDemo;<br />}</p>
<p>　　当然，以图片格式的方式也一样的操作。不在举例了，最后有个工具大家不要忘了：resgen.exe 专门用来做资源文件类型之间的转换。支持 .txt &lt;-&gt; .resx &lt;-&gt; .resources 之间的转换。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 10:01:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90/" title="资源">资源</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/resources/" title="resources">resources</a>, <a href="https://www.iamivan.net/tag/assembly/" title="assembly">assembly</a>, <a href="https://www.iamivan.net/tag/%e5%b5%8c%e5%85%a5%e5%bc%8f%e8%b5%84%e6%ba%90/" title="嵌入式资源">嵌入式资源</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>深入剖析Asp.net资源文件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeW5Kb.html" rel="bookmark">Asp&period;net 资源文件翻译助手</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     最近项目需要做一个双语的网站,需要将对资源文件进行翻译,在vs里翻译感觉不够方便,参考SimpleResxEditor,自己写了个资源文件编辑助手,自己DIY的才是最好用的,呵呵,软件界面: 使用方法: 实现思路: 1.资源文件对应的实体 namespace ResxEditor { public class ResourceItem { public ResourceItem() { } public ResourceItem(int id, string key, string v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRKPDz.html" rel="bookmark">深入剖析ASP&period;NET的编译原理之二：预编译（Precompilation）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本篇文章的第一部分:[原创]深入剖析ASP.NET的编译原理之一:动态编译(Dynamical Compilation),详细讨论了ASP.NET如何进行动态编译的,现在我们来谈谈另外一种重要的编译方式:预编译(Precompilation). 目录 一.为什么要进行预编译 二.In Place Pre-compilation V.S. Pre-compilation for Deployment 三.Non-updatable Pre-compilation V.S. Updatable P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLnlZb.html" rel="bookmark">技巧应用：ASP&period;NET中文件上传下载方法集合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|集合|技巧|上传|下载|中文 文件的上传下载是我们在实际项目开发过程中经常需要用到的技术,这里给出几种常见的方法,本文主要内容包括: 1.如何解决文件上传大小的限制 2.以文件形式保存到服务器 3.转换成二进制字节流保存到数据库以及下载方法 4.上传Internet上的资源 第一部分: 首先我们来说一下如何解决ASP.net中的文件上传大小限制的问题,我们知道在默认情况下ASP.NET的文件上传大小限制为2M,一般情况下,我们可以采用更改Web.Config文件来自定义最大文件大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qba5eNb.html" rel="bookmark">资源文件说明：resourcefiles</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;%@ Register TagPrefix=&quot;Acme&quot; Namespace=&quot;Acme&quot; Assembly=&quot;QSTools&quot; %&gt;&lt;%@ Register TagPrefix=&quot;Acme&quot; TagName=&quot;SourceRef&quot; Src=&quot;/quickstart/aspplus/util/SrcRef.ascx&quot;%&gt; &lt;!-- #include vir			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2NJvb.html" rel="bookmark">ASP&period;NET中文件上传下载方法集合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|集合|上传|下载|中文 文件的上传下载是我们在实际项目开发过程中经常需要用到的技术,这里给出几种常见的方法文件的上传下载是我们在实际项目开发过程中经常需要用到的技术,这里给出几种常见的方法,本文主要内容包括: 1.如何解决文件上传大小的限制 2.以文件形式保存到服务器 3.转换成二进制字节流保存到数据库以及下载方法 4.上传Internet上的资源 第一部分: 首先我们来说一下如何解决ASP.NET中的文件上传大小限制的问题,我们知道在默认情况下ASP.NET的文件上传大小限制为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKD4OM.html" rel="bookmark">ASP&period;NET c&num; 文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|上传 异常详细信息: System.UnauthorizedAccessException: 对路径&quot;C:\Inetpub\spatial\csk\Communities\Common\Images\HtmlTextBoxUserImages\logo.gif&quot;的访问被拒绝. ASP.NET 未被授权访问所请求的资源.请考虑授予 ASP.NET 请求标识访问此资源的权限.ASP.NET 有一个在应用程序没有模拟时使用的基进程标识(通常,在 IIS 5 上为 {MACHI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlXYmb.html" rel="bookmark">深入剖析ASP&period;NET 2&period;0缓冲机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				缓冲功能是开发人员构建ASP.NET 2.0 Web应用程序的重要关注点之一.本文试图通过三个示例页面全面剖析ASP.NET 2.0提供的新的缓冲机制. 一.简介 ASP.NET 1.x Cache API是一种革命性特征.当一个XML文件或另一个缓冲项的内容改变时,Cache API提供了诸如声明性输出缓冲.以编程方式控制输出缓冲以及使缓冲项无效等能力.尽管这大大改进了Web应用程序的性能,但遗憾的是,ASP.NET 1.x并没有提供一种机制来实现当数据库中的数据改变时使一个缓存对象中的数据无			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk21m1M.html" rel="bookmark">如何在DNN模块中插入一个图片--在模块中引用资源文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DNN永远都是运行在网站的根目录 DNN的设计上最大的特点就是始终是使用一个网站根目录下的Default.aspx文件加载皮肤和模块从而实现整个网站的页面.这也就是说DNN这个Asp.net程序永远是运行在DNN网站的根目录的,所有的资源文件(如:JS文件,图片,CSS)的引用都要从DNN网站的根目录算起. 这么说有点难以理解,举个例子吧: 假设你把DNN安装到了一个虚拟目录下面,比如DotNetNuke_2目录下,那么你输入http://localhost/DotNetNuke_2就可以访问到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QnW6p.html" rel="bookmark">深入剖析ASP&period;NET的编译原理之一：动态编译（Dynamical Compilation）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Microsoft 的Visual Studio为我们在应用开发中提供的强大功能,我们是有目共睹.借助该工具,是我们的开发 显得更加高效而轻松.从Microsoft把这个IDE的名字从VS.NET 该为VS(比如原来的Visual Studio.NET 2003,现在的版本叫VS2005),可以MS对该IDE的期望和野心:MS要把它改造成一个万能的IDE.不过任何都有其两面性,对于我们广大的开发者来说,VS是我们的各种行为简单化,傻瓜化:但是在另一方面,他也会蒙蔽我们的眼睛,使我们对它背后做的事			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8E69z.html" rel="bookmark" class="title">js加密解密&colon;js 代码加密解密</a>
					<div>
						&lt;script&gt;a=62;function encode() {var code = document.getElementById('code').value;code = code.r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvxnAz.html" rel="bookmark" class="title">asp编程中非常实用的例子</a>
					<div>
						编程 1.如何用Asp判断你的网站的虚拟物理路径 答:使用Mappath方法 &lt; p align=&quot;center&quot; &gt;&lt; font size=&quot;4&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw8ZWb.html" rel="bookmark" class="title">对会计软件中凭证输入模块的一点看法</a>
					<div>
						对会计软件中凭证输入模块的一点看法                                                       武汉华中师大信管系   谢刚 摘要: 凭证的制作和处理是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrnG4M.html" rel="bookmark" class="title">ColdFusionMX技术课程第二期</a>
					<div>
						ColdFusionMX技术课程的第二期,主要覆盖CF的List和Array.对于这两部分,是我们开发CF应用中经常要用到的,但是对于经常用到的部分,我反而没有多说,在这个第二课的内容中,我希望各位能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl6aNz.html" rel="bookmark" class="title">A5优化团队：SEO优化中的前端优化</a>
					<div>
						网站的速度是很多人都面临的问题,其实许多网站,都没有特意的去优化加载速度,对于一个网站来说,加速不但提高了用户体验(如果一个网站在几秒内没有打开,大多数用户选择的是关闭而非等待),而且对于SEO的流量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPo8yM.html" rel="bookmark" class="title">GW MST&plus;DXC使用记</a>
					<div>
						随着通信业务的不断丰富,越来越多的用户需要租用电信运营商的网络资源来进行各种业务的通信或组建专网:中国加入WTO将会进一步并更深入的引进竞争机制,不仅将引起国内新兴电信运营商和传统电信运营商之间的竞争 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y1xVz.html" rel="bookmark" class="title">WPF自定义快捷键命令（Command）</a>
					<div>
						命令简介 WPF 中的命令是通过实现 ICommand 接口创建的.ICommand 公开两个方法(Execute 及 CanExecute)和一个事件(CanExecuteChanged). Exe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8NqAp.html" rel="bookmark" class="title">win10浏览器斯巴达怎么设置主页？</a>
					<div>
						  1.由于这个浏览器是刚刚出来的,所以我尽可能的演示详细一点.更新WIN10以后进入系统会在任务栏那里多出一个如下图所示的图标,点击进入. 2.此时看到的就是斯巴达Project Spartan浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG3Vwb.html" rel="bookmark" class="title">如何用GHOST备份系统的小技巧</a>
					<div>
						系统由于各种原因要重新安装这是不可避免的事情,也是我们最不愿碰到的事情,有了ghost,我们再也不用担心,它将帮助我们在最短的时间里还原系统. Ghost(幽灵)软件是美国赛门铁克公司推出的一款出色的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3m4OM.html" rel="bookmark" class="title">Win8系统下如何新建公文包？</a>
					<div>
						  1在桌面空白部分,单击右键,打开右键菜单,将鼠标滑到&quot;新建&quot;,点击&quot;文件夹&quot;. 2完成后如图所示 3然后在文件夹的命名处,输入公文包的代码&quot; 公文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArjWJp.html" rel="bookmark" class="title">百度音乐音乐窗打不开解决办法</a>
					<div>
						  音乐窗空白.打不开解决办法: 1.每次百度音乐版本更新时,会出现各种问题,所以大家务必保持百度音乐是最新版本 2.如果更新版本后还是没用,可以试试下面这种方法,可以完美解决音乐窗问题 在百度音乐设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaQoaz.html" rel="bookmark" class="title">在win7旗舰版电脑中安装SQL server2008提示重启计算机失败怎么解</a>
					<div>
						  SQL server2008是咱们w764位旗舰版电脑中的一款数据管理系统,不仅功能十分强大,实用性也是非常强的,因此不少用户都在自己的win7旗舰版电脑中安装这个数据库系统,不过似乎在安装的过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3rZmM.html" rel="bookmark" class="title">如何修改BIOS设置预防电脑病毒</a>
					<div>
						  1.重启计算机,在未进入系统之前按Del键(或其他键),进入BIOS设置界面; 2.选择进入security选项,将Boot Sector Virus Protection的状态更改为Enable ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y17oM.html" rel="bookmark" class="title">MySQL不同表之间的字段复制</a>
					<div>
						有时候,我们需要复制某个字段一整列的数据到另外一个新的字段中,这很简单,SQL可以这么写: UPDATE tb_1 SET content_target = content_source; 大概写法如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVR8Ab.html" rel="bookmark" class="title">能同时安装oracle和mongodb吗</a>
					<div>
						问题描述 能同时安装oracle和mongodb吗 一个是关系型的数据库,一个是非关系型(nosql)的.安装在一起会不会有什么问题,会冲突吗 解决方案 并不会,我电脑上也是按了MONGODB和一个关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQmOap.html" rel="bookmark" class="title">Lisp的本质</a>
					<div>
						简介 最初在web的某些角落偶然看到有人赞美Lisp时, 我那时已经是一个颇有经验的程序员.在我的履历上, 掌握的语言范围相当广泛, 象C++, Java, C#主流语言等等都不在话下,我觉得我差不多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6jgxb.html" rel="bookmark" class="title">中文Excel 2000速成教程 2&period;1 认识中文Excel 2000的计算公式</a>
					<div>
						第一讲 认识中文http://www.aliyun.com/zixun/aggregation/16544.html&quot;&gt;Excel 2000的计算公式 一旦在中文Excel 2000中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR9O3z.html" rel="bookmark" class="title">微软首次在华低于五折卖Office</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 微软昨天宣布,从7月1日起调整Of ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YOeXM.html" rel="bookmark" class="title">项目启动没问题，但是登陆报以下错误</a>
					<div>
						问题描述 项目启动没问题,但是登陆报以下错误 2016-05-20 15:02:49 -122358 [http-bio-8080-exec-10] DEBUG - Don't need to cre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm5DQM.html" rel="bookmark" class="title">互联网超报纸成美国第二受欢迎新闻媒体</a>
					<div>
						北京时间3月2日上午消息,据国外媒体报道,美国皮尤研究中心的&quot;互联网与美国生活&quot;报告显示,互联网作为一种新闻媒体,其受欢迎程度已经超过了纸质报纸和广播,成为仅次于电视的第二受欢迎新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBqx0M.html" rel="bookmark" class="title">unable to copy the file to &sol;etc&sol;oratab</a>
					<div>
						检查权限 [root@m2 tmp]# ls -ltr /etc/oratab  -rw-rw-r-- 1 grid oinstall 904 Apr 22 10:14 /etc/oratab 解决  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zjn7z.html" rel="bookmark" class="title">如何策划APP名称？怎样的APP应用标题更吸引人&quest;</a>
					<div>
						每个APP都有自己的名称, 但是最近为了使用户更容易理解自己的应用和ASO(应用商城搜索优化),http://www.aliyun.com/zixun/aggregation/7155.html&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RkoAz.html" rel="bookmark" class="title">设备与驱动的关系以及设备号、设备文件</a>
					<div>
						Linux设备分类Linux下的设备通常分为三类,字符设备,块设备和网络设备. 字符设备 一个字符设备是一种字节流设备,对设备的存取只能按顺序按字节的存取而不能随机访问,字符设备没有请求缓冲区,所有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0a5vp.html" rel="bookmark" class="title">站长淘宝客之混搭：seo&plus;QQ群&plus;QQ空间&plus;微薄&plus;邮件</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于有一定技术的站长来说seo是经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEWyZz.html" rel="bookmark" class="title">如何开发一个虚拟域名系统&lowbar;php基础</a>
					<div>
						大家在使用诸如yourname.yeah.net这样的简记域名时都感到十分方便,有很多人在想:我要是能让自己的服务器也能够实现简记域名就好了.其实这并不复杂.看完了本文,你也可以做一个简记域名系统.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnjo5p.html" rel="bookmark" class="title">Asp&period;net中安全退出时清空Session或Cookie的实例代码&lowbar;实用技巧</a>
					<div>
						概览: 网站中点击退出,如果仅仅是重定向到登录/出页面,此时在浏览器地址栏中输入登录后的某个页面地址如主页,你会发现不用登录就能访问.这种所谓的退出并不是安全的. 那么怎样做到安全退出呢? 那就是点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5l4Lz.html" rel="bookmark" class="title">github上-github邮箱验证错误，求解答</a>
					<div>
						问题描述 github邮箱验证错误,求解答 邮箱可以收到邮件,但点击给的按钮或连接跳转到的页面显示: There was an error verifying your email. 解决方案 用gm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm6ZVp.html" rel="bookmark" class="title">&amp;amp&semi;amp&semi;lt&semi;a&amp;amp&semi;amp&semi;gt&semi;标签传值与服务器是否有关问题？急？急？急？急？急？急？急？急？</a>
					<div>
						问题描述 我遇到这样一个问题,在本地tomcat上运行java代码,&lt;a&gt;标签能把值传入servlert进行删除数据库里面的数据并不报错误,而在公司里面的服务器上运行,&lt;a&gt;标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7LAXM.html" rel="bookmark" class="title">今天，您捐款了吗？</a>
					<div>
						问题描述 5月12号,四川省汶川大地震,震碎了多少国人的心哪!?在大家都纷纷动员给灾区人民捐款,献爱心的日子里!已经在14号率先发起了赈灾募捐活动!并在当天将10万元的赈灾款打入红十字会账号!作为一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvW01M.html" rel="bookmark" class="title">Azure平台分割云计算  企业在掘金之路上该何去何从</a>
					<div>
						微软推出Azure平台,意在分割云计算这块大蛋糕.而如今云计算当道,在激烈的竞争中,独立软件厂商们迫不得已感受到危机的存在.本文将介绍经销商们如何在云计算的激烈竞争中从Azure和其它PaaS平台中获 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
